<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_020048b1b659" . "87544bdb5f9af" . "a692a0f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3VwcG9y" . "dGVk"), "_9a1d01ea56101db475f6e19" . "8f06a4f9d" => base64_decode("c3Fsc3" . "J2X2Zy" . "ZWVfc3" . "RtdA=="), "_d64c6254" . "864cf9665" . "6eabcea4c" . "48fe51" => base64_decode("c3Fsc3J2X2hhc19y" . "b3dz"), "_a591754a8ddcdbda9c80f1db4d9" . "11e14" => base64_decode("aXNf" . "bnVs" . "bA=="), "_78aadcc2e8dfecef37e" . "1fe6d5ffbcdbb" => base64_decode("c3Fsc3J2X2ZldGN" . "oX2FycmF5"));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_78aadcc2e8dfecef37e" . "1fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_78aadcc2e8dfece" . "f37e1fe6d5ffbcdb" . "b"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_020048b1b65987544bdb5f9afa" . "692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a591754a8ddcdbda9c" . "80f1db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d64c6254864cf96656eabcea4c48fe" . "51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_9a1d01ea56101db475f6e198f06" . "a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}